<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">
  <persistence-unit name="webshop" transaction-type="JTA">
    <provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>
    <jta-data-source>jdbc/WebShopPool</jta-data-source>
    <class>hu.bh.bh13.webshop.entities.OrderE</class>
    <class>hu.bh.bh13.webshop.entities.Product</class>
    <class>hu.bh.bh13.webshop.entities.Account</class>
    <class>hu.bh.bh13.webshop.entities.Productimage</class>
    <exclude-unlisted-classes>false</exclude-unlisted-classes>
    <shared-cache-mode>NONE</shared-cache-mode>
    <properties>
      <!-- <property name="javax.persistence.schema-generation.database.action" value="drop-and-create OR create OR complete remove this line"/-->
    </properties>
  </persistence-unit>
</persistence>
